Loading...
Searching...
No Matches
pcl::SynchronizedQueue< T > Class Template Reference

`#include <pcl/io/impl/synchronized_queue.hpp>`

## Public Member Functions

| SynchronizedQueue ()
void | enqueue (const T &data)
bool | dequeue (T &result)
void | stopQueue ()
unsigned int | size ()
bool | isEmpty () const

## Detailed Description

template<typename T>
class pcl::SynchronizedQueue< T >

Definition at line 51 of file synchronized_queue.hpp.

## Constructor & Destructor Documentation

## SynchronizedQueue()

template<typename T>

pcl::SynchronizedQueue< T >::SynchronizedQueue | ( |  | ) |

inline

Definition at line 55 of file synchronized_queue.hpp.

## Member Function Documentation

## dequeue()

template<typename T>

bool pcl::SynchronizedQueue< T >::dequeue | ( | T & | result | ) |

inline

Definition at line 71 of file synchronized_queue.hpp.

## enqueue()

template<typename T>

void pcl::SynchronizedQueue< T >::enqueue | ( | const T & | data | ) |

inline

Definition at line 59 of file synchronized_queue.hpp.

## isEmpty()

template<typename T>

bool pcl::SynchronizedQueue< T >::isEmpty | ( |  | ) | const

inline

Definition at line 108 of file synchronized_queue.hpp.

## size()

template<typename T>

unsigned int pcl::SynchronizedQueue< T >::size | ( |  | ) |

inline

Definition at line 101 of file synchronized_queue.hpp.

## stopQueue()

template<typename T>

void pcl::SynchronizedQueue< T >::stopQueue | ( |  | ) |

inline

Definition at line 93 of file synchronized_queue.hpp.

The documentation for this class was generated from the following file:

- pcl/io/impl/synchronized_queue.hpp